package com.redenchilada.scootanet.runnables;

import com.redenchilada.scootanet.interfaces.NoticeParseable;
import com.redenchilada.scootanet.statusnet.*;

public class TimelineGrabber implements Runnable
{
	NoticeParseable target;
	String timeline;
	
	public TimelineGrabber(String timeline, NoticeParseable target)
	{
		super();
		this.timeline = timeline;
		this.target = target;
	}

	@Override
	public void run()
	{
		int[] horsies = Notice.parseNotices(Get.loadTimeline(timeline, false));
		
		if(horsies != null)
		{
			Get.setLastId(timeline, horsies[0]);
			target.parseNotices(horsies);
		}
	}

}
