package com.redenchilada.scootanet.statusnet;

import android.app.ActivityManager;

import com.redenchilada.scootanet.lib.Base64;
import com.redenchilada.scootanet.lib.BBCode;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;
import java.net.URLEncoder;

public class Post
{
	public static String postNewNotice(String notice)
	{
		if(ActivityManager.isUserAMonkey())
			return "404";
		
		Socket pie;
		DataInputStream talk;
		DataOutputStream tell;
		String fuzzy = "status=" + URLEncoder.encode(BBCode.codeSpoilers(notice)) + "&source=" + URLEncoder.encode("ScootaNet Android");
		try
		{
			pie = new Socket("www.rainbowdash.net", 80);
			talk = new DataInputStream(pie.getInputStream());
			tell = new DataOutputStream(pie.getOutputStream());
			
			tell.writeBytes("POST /api/statuses/update.json HTTP/1.1\n");
			tell.writeBytes("Host: www.rainbowdash.net\n");
			tell.writeBytes("User-Agent: somepony/1.0\n");
			tell.writeBytes("Authorization: Basic "+Base64.encodeBytes((Config.user + ":" + Config.pass).getBytes())+"\n");
			tell.writeBytes("Content-Type: application/x-www-form-urlencoded\n");
			tell.writeBytes("Content-Length: " + fuzzy.length());
			tell.writeBytes("\n\n"); 
			tell.writeBytes(fuzzy);
			
            String responseLine, pig = "";
            while ((responseLine = talk.readLine()) != null) {
            	pig += responseLine+"\n";
                if (responseLine.indexOf("Ok") != -1) {
                  break;
                }
            }
			
			tell.close();
			talk.close();
			pie.close();
			return pig;
		}
		catch(IOException e)
		{
			return "";
		}
	} 
	public static String postReply(String notice, int replyId)
	{
		if(ActivityManager.isUserAMonkey())
			return "404";
		
		Socket pie;
		DataInputStream talk;
		DataOutputStream tell;
		String fuzzy = "status=" + URLEncoder.encode(BBCode.codeSpoilers(notice)) + "&source=" + URLEncoder.encode("ScootaNet Android") + "&in_reply_to_status_id=" + replyId;
		try
		{
			pie = new Socket("www.rainbowdash.net", 80);
			talk = new DataInputStream(pie.getInputStream());
			tell = new DataOutputStream(pie.getOutputStream());
			
			tell.writeBytes("POST /api/statuses/update.json HTTP/1.1\n");
			tell.writeBytes("Host: www.rainbowdash.net\n");
			tell.writeBytes("User-Agent: somepony/1.0\n");
			tell.writeBytes("Authorization: Basic "+Base64.encodeBytes((Config.user + ":" + Config.pass).getBytes())+"\n");
			tell.writeBytes("Content-Type: application/x-www-form-urlencoded\n");
			tell.writeBytes("Content-Length: " + fuzzy.length());
			tell.writeBytes("\n\n");
			tell.writeBytes(fuzzy);
			
            String responseLine, pig = "";
            while ((responseLine = talk.readLine()) != null) {
            	pig += responseLine+"\n";
                if (responseLine.indexOf("Ok") != -1) {
                  break;
                }
            }
			
			tell.close();
			talk.close();
			pie.close();
			return pig;
		}
		catch(IOException e)
		{
			return "";
		}
	} 
}
