package com.redenchilada.scootanet.lib;

import android.text.Html;
import android.text.SpannableString;

public class BBCode
{
	public static String codeSpoilers(String input)
	{
		if(input.indexOf("[sp]") >= 0 && input.indexOf("[/sp]") >= input.indexOf("[sp]"))
		{
			input = " "+input+" ";
			String output = input.split("\\[sp\\]")[0];
			output += "[sp]"+rot13(input.split("\\[sp\\]")[1].split("\\[\\/sp\\]")[0])+"[/sp]";
			output +=codeSpoilers(input.substring(input.indexOf("[/sp]")+5));
			return output.substring(1,output.length()-1);
		}
		else
			return input;			
	}
	
	public static String rot13(String input)
	{
		String out = "";
		for(int i = 0; i < input.length(); i++)
		{
			char c = (char)input.charAt(i);
			if(c >= 'A' && c <= 'M' || c >= 'a' && c <= 'm')
				c += 13;
			else if(c >= 'N' && c <= 'Z' || c >= 'n' && c <= 'z')
				c -= 13;
			out += c;
		}
		return out;
	}
	
	public static SpannableString processNotice(String notice)
	{
		while(notice.indexOf("[b]") >= 0 && notice.indexOf("[/b]") >= notice.indexOf("[b]"))
		{
			notice = notice.substring(0, notice.indexOf("[b]")) + "<strong>" +
					notice.substring(notice.indexOf("[b]")+3, notice.indexOf("[/b]")) + "</strong>" + 
					notice.substring(notice.indexOf("[/b]")+4);
		}
		while(notice.indexOf("[i]") >= 0 && notice.indexOf("[/i]") >= notice.indexOf("[i]"))
		{
			notice = notice.substring(0, notice.indexOf("[i]")) + "<em>" +
					notice.substring(notice.indexOf("[i]")+3, notice.indexOf("[/i]")) + "</em>" + 
					notice.substring(notice.indexOf("[/i]")+4);
		}
		notice.replaceAll("\\[([bis])\\](.*?)\\[\\/\\1\\]", "<$1>$2</$1>"); //catches [b], [i], and [s] all in one line
		notice.replaceAll("\\[u\\](.*?)\\[\\/u\\]", "<span style=\"text-decoration: underline\">$1</u>");
		notice.replaceAll("\\[sp\\](.*?)\\[\\/sp\\]", "<spoiler>$1</spoiler>");
		notice.replaceAll("\\[c=([#a-zA-Z0-9]+)\\](.*?)\\[\\/c\\]", "<span style=\"color: $1\">$2</span>");
		notice.replaceAll("\\[h=([#a-zA-Z0-9]+)\\](.*?)\\[\\/h\\]", "<span style=\"background-color: $1\">$2</span>");
		if(notice.indexOf("gotta go fast") > -1)
			notice = "<marquee scrollamount=\"100\">" + notice + "</marquee>";
		
		return new SpannableString(Html.fromHtml(notice, null, null));
		/*
		SpannableStringBuilder honk = new SpannableStringBuilder();
		
		while(!notice.equals(""))
		{
			if(notice.contains("\\[b\\].*\\[/b\\]"))
			{
				honk.append(processNotice(notice.substring(0, notice.indexOf("[b]"))));
				notice = notice.substring(notice.indexOf("[b]")+3);
				SpannableString fart = processNotice(notice.substring(0, notice.indexOf("[/b]")));
				notice = notice.substring(notice.indexOf("[/b]")+4);
				fart.setSpan(new StyleSpan(android.graphics.Typeface.BOLD), 0, fart.length(), 0);
				honk.append(fart);
			}
			else if(notice.contains("\\[i\\].*\\[/i\\]"))
			{
				honk.append(processNotice(notice.substring(0, notice.indexOf("[i]"))));
				notice = notice.substring(notice.indexOf("[i]")+3);
				SpannableString fart = processNotice(notice.substring(0, notice.indexOf("[/i]")));
				notice = notice.substring(notice.indexOf("[/i]")+4);
				fart.setSpan(new StyleSpan(android.graphics.Typeface.ITALIC), 0, fart.length(), 0);
				honk.append(fart);
			}
			else if(notice.contains("\\[u\\].*\\[/u\\]"))
			{
				honk.append(processNotice(notice.substring(0, notice.indexOf("[u]"))));
				notice = notice.substring(notice.indexOf("[u]")+3);
				SpannableString fart = processNotice(notice.substring(0, notice.indexOf("[/u]")));
				notice = notice.substring(notice.indexOf("[/u]")+4);
				fart.setSpan(new UnderlineSpan(), 0, fart.length(), 0);
				honk.append(fart);
			}
			else
			{
				honk.append(notice);
			}
		}
		
		return new SpannableString(honk);
		*/
	}
}
