package com.redenchilada.scootanet.statusnet;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.net.Socket;
import java.util.HashMap;

public class Get
{
	public static String loadTimeline(String timeline, boolean forceAll)
	{
		Socket pie;
		DataInputStream talk;
		DataOutputStream tell;
		try
		{
			pie = new Socket("www.rainbowdash.net", 80);
			talk = new DataInputStream(pie.getInputStream());
			tell = new DataOutputStream(pie.getOutputStream());
			
			tell.writeBytes("GET /api/statuses/"+timeline+".json?count=20"+(forceAll ? "" : ("&since_id="+getLastId(timeline)))+" HTTP/1.1\n");
			tell.writeBytes("Host: www.rainbowdash.net\n");
			tell.writeBytes("User-Agent: somepony/1.0\n\n");
			
            String responseLine, pig = "";
            while ((responseLine = talk.readLine()) != null) {
            	pig += responseLine+"\n";
                if (responseLine.indexOf("Ok") != -1) {
                  break;
                }
            }
			
			tell.close();
			talk.close();
			pie.close();

			return pig;
		}
		catch(IOException e)
		{
			return "error";
		}
	} 
	
	public static String loadNotice(int id)
	{
		return null;
	}
	
	private static HashMap<String, Integer> timelineLastIds = new HashMap<String, Integer>();
	
	private static int getLastId(String timeline)
	{
		if(timelineLastIds.containsKey(timeline))
			return timelineLastIds.get(timeline);
		return 0;
	}
	
	public static void setLastId(String timeline, int id)
	{
		timelineLastIds.put(timeline, id);
	}
}
