/*Disclaimer:
 *Pretty much none of this code ever is set to any standards that it should be.
 *This entire widget is merely to test bits of code.
 */

package com.redenchilada.scootanet.widgets;

import android.content.Context;
import android.graphics.Canvas;
import android.util.AttributeSet;
import android.widget.EditText;
import com.redenchilada.scootanet.statusnet.Notice;
import com.redenchilada.scootanet.interfaces.NoticeParseable;
import com.redenchilada.scootanet.runnables.TimelineGrabber;

public class Test extends EditText implements NoticeParseable
{
	String holdText;
	
    public Test(Context context, AttributeSet attrs)
    {
        super(context, attrs);
        holdText = "";
        new Thread(new TimelineGrabber("public_timeline", this)).start();
    }

    public void onDraw(Canvas canvas)
    {
    	if(!holdText.equals(""))
    	{
    		setText(holdText);
    		holdText = "";
    	}
    	
    	super.onDraw(canvas);
    }
    
    
    
    public void parseNotices(int[] temp)
    {
        String scoot = "";
        for(int n : temp)
        	scoot += Notice.get(n) + "\n";
        holdText = scoot;
    }
}
